> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Authenticator Configuration

> Updates an authenticator configuration by authenticator ID.



## OpenAPI

````yaml management-api PATCH /authenticator-configurations/{authenticator_id}
openapi: 3.1.0
info:
  description: Authsignal's Management API
  version: 1.0.0
  title: Management Api
  termsOfService: https://www.authsignal.com/legal/terms-of-service
  contact:
    email: hello@authsignal.com
servers:
  - url: https://api.authsignal.com/v1/management
    description: Authsignal's US (Oregon) Management API
  - url: https://au.api.authsignal.com/v1/management
    description: Authsignal's AU (Sydney) Management API
  - url: https://eu.api.authsignal.com/v1/management
    description: Authsignal's EU (Ireland) Management API
  - url: https://ca.api.authsignal.com/v1/management
    description: Authsignal's CA (Montreal) Management API
security:
  - basicAuth: []
tags:
  - name: Tenant
    description: Endpoints related to the configuration of a tenant.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Action Configurations
    description: Endpoints related to the configuration of action configurations.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Rules
    description: Endpoints related to the configuration of rules.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Theme
    description: Endpoints related to the configuration of a Tenant's theme.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
externalDocs:
  description: Find out more about Authsignal
  url: https://docs.authsignal.com
paths:
  /authenticator-configurations/{authenticator_id}:
    patch:
      tags:
        - Authenticator Configurations
      summary: Update Authenticator Configuration
      description: Updates an authenticator configuration by authenticator ID.
      operationId: updateAuthenticatorConfiguration
      parameters:
        - in: path
          name: authenticator_id
          schema:
            type: string
          required: true
          description: >-
            The authenticator ID used to identify the authenticator
            configuration.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthenticatorConfiguration'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticatorConfiguration'
components:
  schemas:
    AuthenticatorConfiguration:
      type: object
      description: >-
        An authenticator configuration (tenant-level settings for an
        authentication method).
      properties:
        authenticatorId:
          type: string
          description: Unique identifier for this configuration
        authenticatorType: 5baccb45-68df-4b7d-bb33-d52d8c350478
        isActive:
          type: boolean
        isEditableByUser:
          type: boolean
        isHiddenToUser:
          type: boolean
        verificationMethod:
          $ref: '#/components/schemas/VerificationMethod'
        oobChannel:
          type: string
          enum:
            - EMAIL_OTP
            - EMAIL_MAGIC_LINK
            - SMS
        smsProvider:
          type: string
          enum:
            - TWILIO
            - MESSAGE_BIRD
            - MESSAGE_BIRD_V2
            - MODICA_GROUP
            - TNZ
            - WEBHOOK
        smsChannel:
          type: string
          enum:
            - DEFAULT
            - WHATSAPP
        emailProvider:
          type: string
          enum:
            - SES
            - SMTP
            - AIRNZ
            - WEBHOOK
            - MAILJET
            - MAILGUN
            - BIRD
            - MANDRILL
            - SENDGRID
        pushProvider:
          type: string
          enum:
            - URBAN_AIRSHIP
            - WEBHOOK
        webhookUrl:
          type: string
          format: uri
        magicLinkMode:
          type: string
          enum:
            - NEW_TAB
            - ORIGINAL_TAB
        messageTemplate:
          type: string
        sender:
          type: string
        providerType:
          type: string
          enum:
            - VERIFF
            - IPROOV
            - PALM_BIOMETRICS_RR
            - IDVERSE
        relyingParty:
          type: string
        expectedOrigins:
          type: array
          items:
            type: string
        verificationCodeLength:
          type: integer
          minimum: 2
          maximum: 10
        enrollmentPromptInterval:
          type: number
        hideTotpAppDownloadScreen:
          type: boolean
        issuerName:
          type: string
        sessionTtlInMinutes:
          type: number
          minimum: 0
          maximum: 60
        userVerificationRequirement:
          type: string
          enum:
            - discouraged
            - preferred
            - required
          nullable: true
        authenticatorAttachment:
          type: string
          enum:
            - cross-platform
            - platform
            - all-supported
          nullable: true
        showEmailDeliveryTimeWarning:
          type: boolean
        smsCountryCodes:
          type: array
          items:
            type: string
          description: ISO country codes for SMS (e.g. US, GB)
        allowMultipleUserAuthenticators:
          type: boolean
        rateLimitConfiguration:
          $ref: '#/components/schemas/RateLimitConfiguration'
        sendingRateLimitConfiguration:
          $ref: '#/components/schemas/RateLimitConfiguration'
        passkeyRegistrationHints:
          type: array
          items:
            type: string
            enum:
              - security-key
              - client-device
              - hybrid
        whatsAppProvider:
          type: string
          enum:
            - BIRD
        redirectUrls:
          type: array
          items:
            type: string
            format: uri
        dontSkipEnrollmentInputScreen:
          type: boolean
        documentTypes:
          type: object
          additionalProperties:
            type: object
            required:
              - claimsMap
            properties:
              claimsMap:
                type: array
                items:
                  type: string
        recoveryMethods:
          type: array
          items:
            $ref: '#/components/schemas/VerificationMethod'
        disableEnrollmentPrompt:
          type: boolean
        requireDeviceIntegrity:
          type: boolean
        deviceIntegrityFailureMode:
          type: string
          enum:
            - BLOCK
            - ALLOW_WITH_WARNING
        twilioCredentials:
          type: object
          properties:
            accountSid:
              type: string
            messagingServiceSid:
              type: string
            authToken:
              type: string
        messageBirdV2Credentials:
          type: object
          properties:
            accessKey:
              type: string
            workspaceId:
              type: string
            channelId:
              type: string
            navigatorId:
              type: string
            projectId:
              type: string
            locale:
              type: string
            enableMessageTemplates:
              type: boolean
        modicaGroupCredentials:
          type: object
          properties:
            username:
              type: string
            password:
              type: string
        tnzCredentials:
          type: object
          properties:
            apiKey:
              type: string
        urbanAirshipCredentials:
          type: object
          properties:
            apiKey:
              type: string
            masterSecret:
              type: string
        veriff:
          type: object
          properties:
            apiKey:
              type: string
            apiSecret:
              type: string
        iproov:
          type: object
          properties:
            apiKey:
              type: string
            apiSecret:
              type: string
            baseUrl:
              type: string
            assuranceType:
              type: string
              enum:
                - LIVENESS
                - ID_VERIFICATION
        idverseCredentials:
          type: object
          properties:
            apiKey:
              type: string
            apiSecret:
              type: string
        messageMediaCredentials:
          type: object
          properties:
            apiKey:
              type: string
            apiSecret:
              type: string
            sourceNumber:
              type: string
        mailjetEmailCredentials:
          type: object
          properties:
            privateKey:
              type: string
            publicKey:
              type: string
            templateId:
              type: string
        mailgunEmailCredentials:
          type: object
          properties:
            apiKey:
              type: string
            url:
              type: string
            domain:
              type: string
            from:
              type: string
        smtpEmailCredentials:
          type: object
          properties:
            host:
              type: string
            port:
              type: integer
            secure:
              type: boolean
            username:
              type: string
            password:
              type: string
            from:
              type: string
            fromName:
              type: string
        birdEmailCredentials:
          type: object
          properties:
            accessKey:
              type: string
            workspaceId:
              type: string
            channelId:
              type: string
            projectId:
              type: string
            versionId:
              type: string
            locale:
              type: string
            senderEmail:
              type: string
            senderName:
              type: string
      additionalProperties: true
    VerificationMethod:
      type: string
      enum:
        - SMS
        - AUTHENTICATOR_APP
        - RECOVERY_CODE
        - EMAIL_MAGIC_LINK
        - EMAIL_OTP
        - PUSH
        - DEVICE
        - SECURITY_KEY
        - PASSKEY
        - VERIFF
        - IPROOV
        - PALM_BIOMETRICS_RR
        - IDVERSE
    RateLimitConfiguration:
      type: object
      properties:
        rateLimit:
          type: integer
          minimum: 1
          maximum: 100
        windowInMinutes:
          type: integer
          minimum: 1
          maximum: 1440
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Authsignal Management API secret key as the username and leave
        the password empty. This key is different from the Server API key and
        can be found in the API Keys section of the Authsignal Portal settings
        page.

````